Bug 966473 - selinux-policy-targeted 3.11.1-96.fc18 breaks printing from vmware
selinux-policy-targeted 3.11.1-96.fc18 breaks printing from vmware
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
18
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 06:40 EDT by Wolfgang Gradl
Modified: 2013-05-31 00:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-97.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 00:25:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Gradl 2013-05-23 06:40:23 EDT
Updating to selinux-policy-targeted-3.11.1-96.fc18.noarch breaks printing from vmware with at least the following AVCs (after successively loading local policy modules to go one step further):

type=AVC msg=audit(1369294171.569:809): avc:  denied  { search } for  pid=6071 comm="bash" name="vmware" dev="dm-1" ino=1335305 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:vmware_sys_conf_t:s0 tclass=dir

type=AVC msg=audit(1369294416.101:822): avc:  denied  { read } for  pid=6297 comm="bash" name="bootstrap" dev="dm-1" ino=1316998 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:vmware_sys_conf_t:s0 tclass=file

type=AVC msg=audit(1369294480.416:827): avc:  denied  { open } for  pid=6344 comm="bash" path="/etc/vmware/bootstrap" dev="dm-1" ino=1316998 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:vmware_sys_conf_t:s0 tclass=file

type=AVC msg=audit(1369294523.116:833): avc:  denied  { getattr } for  pid=6400 comm="bash" path="/etc/vmware/bootstrap" dev="dm-1" ino=1316998 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:vmware_sys_conf_t:s0 tclass=file

(after which I gave up and disabled selinux for now)

Printing from vmware using the host-installed CUPS system used to work out of the box before the update of selinux-policy-targeted.  

Last version which worked was selinux-policy-targeted-3.11.1-92.fc18.noarch
Comment 1 Miroslav Grepl 2013-05-24 08:32:59 EDT
Added.
Comment 2 Fedora Update System 2013-05-28 14:58:27 EDT
selinux-policy-3.11.1-97.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-97.fc18
Comment 3 Fedora Update System 2013-05-29 23:00:55 EDT
Package selinux-policy-3.11.1-97.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-97.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9612/selinux-policy-3.11.1-97.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-05-31 00:25:58 EDT
selinux-policy-3.11.1-97.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.